Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.jena
Class PelletInfGraph

    java.lang.Object
      com.hp.hpl.jena.graph.impl.GraphBase
          com.hp.hpl.jena.reasoner.BaseInfGraph
              org.mindswap.pellet.jena.PelletInfGraph

All Implemented Interfaces:
  com.hp.hpl.jena.graph.Graph, com.hp.hpl.jena.graph.GraphAdd, com.hp.hpl.jena.graph.impl.GraphWithPerform, com.hp.hpl.jena.reasoner.InfGraph

    public class PelletInfGraph

extends com.hp.hpl.jena.reasoner.BaseInfGraph
implements com.hp.hpl.jena.reasoner.InfGraph

Implementation of Jena InfGraph interface which is backed by Pellet reasoner.

Author:
  Evren Sirin

Nested Class Summary

Nested classes/interfaces inherited from class com.hp.hpl.jena.reasoner.BaseInfGraph
`com.hp.hpl.jena.reasoner.BaseInfGraph.InfCapabilities, com.hp.hpl.jena.reasoner.BaseInfGraph.InfFindSafeCapabilities, com.hp.hpl.jena.reasoner.BaseInfGraph.InfTransactionHandler`

Field Summary
`static boolean` | `DEBUG` Deprecated. Edit log4j.properties to turn on debugging
`static boolean` | `GET_ONLY_PROPERTIES` This is a temporary option to say that while answering a TriplePattern where the predicate is a wildcard only bind the predicate to properties defined in the ontology but not rdf:type.
`static org.apache.commons.logging.Log` | `log`
`static byte` | `OBJ`
`static com.hp.hpl.jena.graph.Node` | `OWL_Class`
`static com.hp.hpl.jena.graph.Node` | `OWL_complementOf`
`static com.hp.hpl.jena.graph.Node` | `OWL_differentFrom`
`static com.hp.hpl.jena.graph.Node` | `OWL_disjointWith`
`static com.hp.hpl.jena.graph.Node` | `OWL_equivalentClass`
`static com.hp.hpl.jena.graph.Node` | `OWL_equivalentProperty`
`static com.hp.hpl.jena.graph.Node` | `OWL_sameAs`
`static byte` | `PRED`
`static com.hp.hpl.jena.graph.Node` | `RDF_directType`
`static com.hp.hpl.jena.graph.Node` | `RDF_type`
`static com.hp.hpl.jena.graph.Node` | `RDFS_directSubClassOf`
`static com.hp.hpl.jena.graph.Node` | `RDFS_directSubPropertyOf`
`static com.hp.hpl.jena.graph.Node` | `RDFS_domain`
`static com.hp.hpl.jena.graph.Node` | `RDFS_range`
`static com.hp.hpl.jena.graph.Node` | `RDFS_subClassOf`
`static com.hp.hpl.jena.graph.Node` | `RDFS_subPropertyOf`
`static byte` | `SUBJ`

Fields inherited from interface com.hp.hpl.jena.graph.Graph
`emptyGraph`

Constructor Summary
`PelletInfGraph(com.hp.hpl.jena.graph.Graph graph, PelletReasoner pellet)`

Method Summary
`void` | `classify()`
`com.hp.hpl.jena.util.iterator.ExtendedIterator` | `find(com.hp.hpl.jena.graph.Node subject, com.hp.hpl.jena.graph.Node property, com.hp.hpl.jena.graph.Node object, com.hp.hpl.jena.graph.Graph param)`
`com.hp.hpl.jena.util.iterator.ExtendedIterator` | `findWithContinuation(com.hp.hpl.jena.reasoner.TriplePattern pattern, com.hp.hpl.jena.reasoner.Finder finder)`
`com.hp.hpl.jena.graph.Graph` | `getDeductionsGraph()`
`KnowledgeBase` | `getKB()` Returns the underlying Pellet KnowledgeBase.
`OWLReasoner` | `getOWLReasoner()` Returns the underlying Pellet OWLReasoner.
`com.hp.hpl.jena.graph.Graph` | `getSchemaGraph()`
`boolean` | `isClassified()`
`boolean` | `isConsistent()`
`boolean` | `isLazyConsistency()`
`boolean` | `isPrepared()`
`aterm.ATermAppl` | `node2term(com.hp.hpl.jena.graph.Node node)`
`aterm.ATermAppl` | `node2term(com.hp.hpl.jena.rdf.model.RDFNode node)`
`void` | `performAdd(com.hp.hpl.jena.graph.Triple t)` Add one triple to the data graph, mark the graph not-prepared, but don't run prepare() just yet.
`void` | `performDelete(com.hp.hpl.jena.graph.Triple t)` Delete one triple from the data graph, mark the graph not-prepared, but don't run prepare() just yet.
`void` | `prepare()`
`void` | `setLazyConsistency(boolean lazyConsistency)`
`com.hp.hpl.jena.reasoner.ValidityReport` | `validate()` Test the consistency of the model.

Methods inherited from class com.hp.hpl.jena.reasoner.BaseInfGraph
`cloneWithPremises, close, constructReifier, find, getBulkUpdateHandler, getCapabilities, getDerivation, getGlobalProperty, getPrefixMapping, getRawGraph, getReasoner, getTransactionHandler, getVersion, graphBaseFind, graphBaseFind, graphBaseSize, isEmpty, rebind, rebind, reset, setDerivationLogging, testGlobalProperty`

Methods inherited from class com.hp.hpl.jena.graph.impl.GraphBase
`add, contains, contains, delete, dependsOn, find, find, forTestingOnly_graphBaseFind, getEventManager, getReifier, getStatisticsHandler, isClosed, isIsomorphicWith, notifyAdd, notifyDelete, queryHandler, size, toString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.reasoner.InfGraph
`getDerivation, getGlobalProperty, getRawGraph, getReasoner, rebind, rebind, reset, setDerivationLogging, testGlobalProperty`

Methods inherited from interface com.hp.hpl.jena.graph.Graph
`close, contains, contains, delete, dependsOn, find, find, getBulkUpdateHandler, getCapabilities, getEventManager, getPrefixMapping, getReifier, getStatisticsHandler, getTransactionHandler, isClosed, isEmpty, isIsomorphicWith, queryHandler, size`

Methods inherited from interface com.hp.hpl.jena.graph.GraphAdd
`add`

Field Detail

### log

    public static final org.apache.commons.logging.Log log

### DEBUG

    public static boolean DEBUG

  Deprecated. Edit log4j.properties to turn on debugging

### GET_ONLY_PROPERTIES

    public static boolean GET_ONLY_PROPERTIES

  This is a temporary option to say that while answering a TriplePattern where the predicate is a wildcard only bind the predicate to properties defined in the ontology but not rdf:type.

### SUBJ

    public static final byte SUBJ

See Also:
  Constant Field Values

### PRED

    public static final byte PRED

See Also:
  Constant Field Values

### OBJ

    public static final byte OBJ

See Also:
  Constant Field Values

### RDF_type

    public static final com.hp.hpl.jena.graph.Node RDF_type

### RDF_directType

    public static final com.hp.hpl.jena.graph.Node RDF_directType

### RDFS_subClassOf

    public static final com.hp.hpl.jena.graph.Node RDFS_subClassOf

### RDFS_directSubClassOf

    public static final com.hp.hpl.jena.graph.Node RDFS_directSubClassOf

### OWL_equivalentClass

    public static final com.hp.hpl.jena.graph.Node OWL_equivalentClass

### OWL_complementOf

    public static final com.hp.hpl.jena.graph.Node OWL_complementOf

### OWL_disjointWith

    public static final com.hp.hpl.jena.graph.Node OWL_disjointWith

### RDFS_subPropertyOf

    public static final com.hp.hpl.jena.graph.Node RDFS_subPropertyOf

### RDFS_directSubPropertyOf

    public static final com.hp.hpl.jena.graph.Node RDFS_directSubPropertyOf

### OWL_equivalentProperty

    public static final com.hp.hpl.jena.graph.Node OWL_equivalentProperty

### OWL_Class

    public static final com.hp.hpl.jena.graph.Node OWL_Class

### RDFS_domain

    public static final com.hp.hpl.jena.graph.Node RDFS_domain

### RDFS_range

    public static final com.hp.hpl.jena.graph.Node RDFS_range

### OWL_differentFrom

    public static final com.hp.hpl.jena.graph.Node OWL_differentFrom

### OWL_sameAs

    public static final com.hp.hpl.jena.graph.Node OWL_sameAs

Constructor Detail

### PelletInfGraph

    public PelletInfGraph(com.hp.hpl.jena.graph.Graph graph,
                          PelletReasoner pellet)

Method Detail

### isLazyConsistency

    public boolean isLazyConsistency()

### setLazyConsistency

    public void setLazyConsistency(boolean lazyConsistency)

### find

    public com.hp.hpl.jena.util.iterator.ExtendedIterator find(com.hp.hpl.jena.graph.Node subject,
                                                               com.hp.hpl.jena.graph.Node property,
                                                               com.hp.hpl.jena.graph.Node object,
                                                               com.hp.hpl.jena.graph.Graph param)

  Specified by:
    `find` in interface `com.hp.hpl.jena.reasoner.InfGraph`
  Overrides:
    `find` in class `com.hp.hpl.jena.reasoner.BaseInfGraph`

### findWithContinuation

    public com.hp.hpl.jena.util.iterator.ExtendedIterator findWithContinuation(com.hp.hpl.jena.reasoner.TriplePattern pattern,
                                                                               com.hp.hpl.jena.reasoner.Finder finder)

  Specified by:
    `findWithContinuation` in class `com.hp.hpl.jena.reasoner.BaseInfGraph`

### getSchemaGraph

    public com.hp.hpl.jena.graph.Graph getSchemaGraph()

  Specified by:
    `getSchemaGraph` in class `com.hp.hpl.jena.reasoner.BaseInfGraph`

### isPrepared

    public boolean isPrepared()

  Overrides:
    `isPrepared` in class `com.hp.hpl.jena.reasoner.BaseInfGraph`

### prepare

    public void prepare()

  Specified by:
    `prepare` in interface `com.hp.hpl.jena.reasoner.InfGraph`
  Overrides:
    `prepare` in class `com.hp.hpl.jena.reasoner.BaseInfGraph`

### isConsistent

    public boolean isConsistent()

### isClassified

    public boolean isClassified()

### classify

    public void classify()

### getDeductionsGraph

    public com.hp.hpl.jena.graph.Graph getDeductionsGraph()

  Specified by:
    `getDeductionsGraph` in interface `com.hp.hpl.jena.reasoner.InfGraph`
  Overrides:
    `getDeductionsGraph` in class `com.hp.hpl.jena.reasoner.BaseInfGraph`

### getOWLReasoner

    public OWLReasoner getOWLReasoner()

  Returns the underlying Pellet OWLReasoner. Before calling this function make sure the graph isPrepared().

### getKB

    public KnowledgeBase getKB()

  Returns the underlying Pellet KnowledgeBase. Before calling this function make sure the graph isPrepared().

### performAdd

    public void performAdd(com.hp.hpl.jena.graph.Triple t)

  Add one triple to the data graph, mark the graph not-prepared, but don't run prepare() just yet.

  Specified by:
    `performAdd` in interface `com.hp.hpl.jena.graph.impl.GraphWithPerform`
  Overrides:
    `performAdd` in class `com.hp.hpl.jena.reasoner.BaseInfGraph`
  Parameters:
    `t` - A triple to add to the graph

### performDelete

    public void performDelete(com.hp.hpl.jena.graph.Triple t)

  Delete one triple from the data graph, mark the graph not-prepared, but don't run prepare() just yet.

  Specified by:
    `performDelete` in interface `com.hp.hpl.jena.graph.impl.GraphWithPerform`
  Overrides:
    `performDelete` in class `com.hp.hpl.jena.reasoner.BaseInfGraph`
  Parameters:
    `t` - A triple to remove from the graph

### validate

    public com.hp.hpl.jena.reasoner.ValidityReport validate()

  Test the consistency of the model. This looks for overall inconsistency, and for any unsatisfiable classes.

  Specified by:
    `validate` in interface `com.hp.hpl.jena.reasoner.InfGraph`
  Overrides:
    `validate` in class `com.hp.hpl.jena.reasoner.BaseInfGraph`
  Returns:
    a ValidityReport structure

### node2term

    public aterm.ATermAppl node2term(com.hp.hpl.jena.graph.Node node)

### node2term

    public aterm.ATermAppl node2term(com.hp.hpl.jena.rdf.model.RDFNode node)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.